# Governance of Kubescape

## Overview

The Kubescape project is an open-source initiative dedicated to improve security and best practices in Kubernetes environments. This document outlines the governance structure of the Kubescape project and provides guidance for its community contributors.

## Decision Making

### Maintainers

- Maintainers are responsible for the smooth operation of the project.
- They review and merge pull requests, manage releases, and ensure the quality and stability of the codebase.
- Maintainers are chosen based on their ongoing contributions and their demonstrated commitment to the project.
- Everyone who had at least 5 code contribution in the last 12 month can submit her/himself for joining the maintainer team
- Maintainers who are not taken part in the project work (code, reviews, discussions) for 12 month are automaticaly removed from the maintainer team


### Committers

- Committers are contributors who have made significant and consistent contributions to the project.
- They have the ability to merge minor pull requests if assigned by maintainers.
- A contributor can be proposed as a committer by any existing maintainer. The proposal will be reviewed and voted on by the existing maintainers.

### Community Members

- Anyone can become a community member by contributing to the project. This can be in the form of code contributions, documentation, or any other form of project support.

## Processes

### Proposing Changes

1. Open an issue on the project repository to discuss the proposed change.
2. Once there is consensus around the proposed change, create a pull request.
3. Pull requests will be reviewed by committers and/or maintainers.
4. Once the pull request has received approval, it can be merged into the main codebase.

### Conflict Resolution

1. In case of any conflicts, it is primarily the responsibility of the parties involved to resolve it.
2. If the conflict cannot be resolved, it will be escalated to the maintainers for resolution.
3. Maintainers' decision will be final in case of unresolved conflicts.

## Roles and Responsibilities

### Maintainers

- Ensure the quality and stability of the project.
- Resolve conflicts.
- Provide direction and set priorities for the project.

### Committers

- Review and merge minor pull requests.
- Assist maintainers in project tasks.
- Promote best practices within the community.

### Community Members

- Contribute to the project in any form.
- Participate in discussions and provide feedback.
- Respect the code of conduct and governance of the project.

## Changes to the Governance Document

Proposed changes to this governance document should follow the same process as any other code change to the Kubescape project (see "Proposing Changes").
